#include <iostream>

using namespace std;

int main(){
    long long int ucenici, bananice, grupe, t;
    string odgovori[300];
    cin >> t;
    for(int i = 0; i < t; i++){
        
        cin >> ucenici >> bananice >> grupe;
        int kol = 1;
        while(bananice > 0){
            if( ucenici > grupe ){
                bananice -= kol * grupe;
                kol++;
                ucenici -= grupe;
            }
            else{
                bananice -= ucenici*kol;
                break;
            }
        }
        if( bananice >= 0 ){
            odgovori[i] = "Tak";
        }
        else{
            odgovori[i] = "Nie";
        }
    }
    for(int i = 0; i < t; i++){
        cout << odgovori[i] << endl;
    }
}